Debian Bug report logs - #693229
ITA: crashmail -- JAM and *.MSG capable Fidonet tosser'

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Peter Krefting <peterk@debian.org>

Date: Wed, 14 Nov 2012 13:57:02 UTC

Owned by: jame@rocasa.us

Severity: normal

Fixed in version crashmail/0.71-5

Done: Robert James Clay <jame@rocasa.us>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#693229; Package wnpp. (Wed, 14 Nov 2012 13:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Krefting <peterk@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Wed, 14 Nov 2012 13:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter Krefting <peterk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: crashmail
Date: Wed, 14 Nov 2012 13:52:31 +0100
Package: wnpp
Severity: normal

I do not have time to maintain this package for Debian; the upstream (and
market) is mostly gone and it does need some cleanup beyond the fixes I did
to make it work on 64-bit systems.

http://anonscm.debian.org/gitweb/?p=crashmail/crashmail.git has the source
code and packaging; https://alioth.debian.org/projects/crashmail/ holds a
version archive.



Changed Bug title to 'O: crashmail -- JAM and *.MSG capable Fidonet tosser' from 'O: crashmail' Request was from Boris Pek <Tehnick-8@yandex.ru> to control@bugs.debian.org. (Fri, 16 Nov 2012 08:42:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#693229; Package wnpp. (Mon, 31 Dec 2012 08:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Robert J. Clay" <rjclay@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 31 Dec 2012 08:09:03 GMT) Full text and rfc822 format available.

Message #12 received at 693229@bugs.debian.org (full text, mbox):

From: "Robert J. Clay" <rjclay@gmail.com>
To: control@bugs.debian.org
Cc: 693229@bugs.debian.org
Subject: Adopting the crashmail package
Date: Mon, 31 Dec 2012 03:05:30 -0500
retitle 693229 ITA: crashmail -- JAM and *.MSG capable Fidonet tosser'
owner 693229 jame@rocasa.us
thanks

I had not been aware until today that the Crashmail package had been
orphaned:  since I'm working packaging jamnntpd, which can serve the
message bases that crashmail can maintain and which is already
suggested by crashmail, I plan to adopt the crashmail package.


-- 
Robert J. Clay
rjclay@gmail.com
jame@rocasa.us



Changed Bug title to 'ITA: crashmail -- JAM and *.MSG capable Fidonet tosser'' from 'O: crashmail -- JAM and *.MSG capable Fidonet tosser' Request was from "Robert J. Clay" <rjclay@gmail.com> to control@bugs.debian.org. (Mon, 31 Dec 2012 08:09:05 GMT) Full text and rfc822 format available.

Owner recorded as jame@rocasa.us. Request was from "Robert J. Clay" <rjclay@gmail.com> to control@bugs.debian.org. (Mon, 31 Dec 2012 08:09:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, jame@rocasa.us:
Bug#693229; Package wnpp. (Tue, 08 Jan 2013 01:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Robert J. Clay" <rjclay@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, jame@rocasa.us. (Tue, 08 Jan 2013 01:42:06 GMT) Full text and rfc822 format available.

Message #21 received at 693229@bugs.debian.org (full text, mbox):

From: "Robert J. Clay" <rjclay@gmail.com>
To: 693229@bugs.debian.org
Subject: ITA packaging update
Date: Mon, 7 Jan 2013 20:39:01 -0500
The following updates have been completed:

[debian ce66935] Update Standards-Version in debian/control to v3.9.3
[debian 6ff62ae] Replaced Suggested non-free lha package with unar
package in debian/control.
[debian 5acfdad] Add build-arch and build-indep targets to debian/rules.


-- 
Robert J. Clay
rjclay@gmail.com
jame@rocasa.us



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, jame@rocasa.us:
Bug#693229; Package wnpp. (Wed, 23 Jan 2013 03:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Robert J. Clay" <rjclay@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, jame@rocasa.us. (Wed, 23 Jan 2013 03:39:05 GMT) Full text and rfc822 format available.

Message #26 received at 693229@bugs.debian.org (full text, mbox):

From: "Robert J. Clay" <rjclay@gmail.com>
To: Peter Krefting <peter@softwolves.pp.se>
Cc: 693229@bugs.debian.org
Subject: Re: CrashMail Debian packaging
Date: Tue, 22 Jan 2013 22:35:17 -0500
On Mon, Jan 21, 2013 at 9:08 PM, Robert J. Clay <rjclay@gmail.com> wrote:
>     I'll also send a summary of the work I've done so far.   (Need to
> update the ITA bug in any case and it'll allow me another chance to
> review what needed to be done...)

   The following Lintian warnings noted [1] for v0.71-4 have been resolved:
ancient-standards-version
debian-rules-missing-recommended-target
hardening-no-fortify-functions
hardening-no-relo

   The buildd warning is also related to the hardening build flags and
believe has been resolved.

    Regarding the issues found by debcheck:
- The warnings "Package has a Suggests on lha which cannot be
satisfied" on the various architectures has been  resolved by changing
that entry to 'unar' in debian/control.
- The warnings "Package has a Suggests on goldedplus | jamnntpd which
cannot be satisfied" on the various architectures: goldedplus was in
Debian & I plan to ITP it again (it's been under development again).
There is an existing ITP for jamnntpd.

  The current changelog entry:

* New Maintainer. (Closes: #693229)
* Move installation of doc/AreafixHelp.txt to debian/install.
* Move installation of doc files from the old top level Makefile to the
  dh_installdocs command line by adding them to a debian/crashmail.docs file.
* Add usage of the CPPFLAGS,CFLAGS,and LDFLAGS variables to necessary
src/  directory Makefile.linux files.
* Changes to debian/control:
  - Add 'dpkg-dev (>= 1.16.1~)' to Build-Depends.
  - Update Standards-Version to v3.9.4, no changes required.
  - Replace the Suggested non-free lha package with the unar package.
* Changes to debian/rules:
  - Add build-arch and build-indep targets.
  - Update CPPFLAGS, CFLAGS, and LDFLAGS using dpkg-buildflags.
  - Moved installation of man pages from the old top level Makefile to the
    dh_installman command line.
  - Moved installation of example files from the old top level Makefile to a
    dh_installexamples command line.
  - Moved installation of executables from the old top level Makefile to a
    dh_install command line and a debian/crashmail.install file.
  - Move the make build & clean lines from the old top level Makefile to their
    corresponding debian/rules build and clean targets.
  - Move the bin directory lines from the old top level Makefile.


-- 
Robert J. Clay
jame@rocasa.us
rjclay@gmail.com

[1]  http://packages.qa.debian.org/c/crashmail.html



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, jame@rocasa.us:
Bug#693229; Package wnpp. (Wed, 23 Jan 2013 15:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Robert J. Clay" <rjclay@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, jame@rocasa.us. (Wed, 23 Jan 2013 15:33:05 GMT) Full text and rfc822 format available.

Message #31 received at 693229@bugs.debian.org (full text, mbox):

From: "Robert J. Clay" <rjclay@gmail.com>
To: Peter Krefting <peter@softwolves.pp.se>
Cc: 693229@bugs.debian.org
Subject: Re: CrashMail Debian ITA
Date: Wed, 23 Jan 2013 10:29:08 -0500
Peter,

On Sat, Jan 19, 2013 at 5:04 PM, Peter Krefting <peter@softwolves.pp.se> wrote:
>> If not, I could get a version of a new package together and make it
>> available at the mentors site this coming week.
>
> Sounds like a good plan!

    I've uploaded a package for 0.71-5 to the mentors site
(http://mentors.debian.net/package/crashmail),

    dget -x http://mentors.debian.net/debian/pool/main/c/crashmail/crashmail_0.71-5.dsc

    I'd appreciate it if you would review the package and let me know
what you think.





-- 
Robert J. Clay
jame@rocasa.us
rjclay@gmail.com



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, jame@rocasa.us:
Bug#693229; Package wnpp. (Fri, 25 Jan 2013 22:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Krefting <peter@softwolves.pp.se>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, jame@rocasa.us. (Fri, 25 Jan 2013 22:27:03 GMT) Full text and rfc822 format available.

Message #36 received at 693229@bugs.debian.org (full text, mbox):

From: Peter Krefting <peter@softwolves.pp.se>
To: "Robert J. Clay" <rjclay@gmail.com>
Cc: 693229@bugs.debian.org
Subject: Re: CrashMail Debian ITA
Date: Fri, 25 Jan 2013 22:24:04 +0100 (CET)
Hi!

Robert J. Clay:

>    I've uploaded a package for 0.71-5 to the mentors site
> (http://mentors.debian.net/package/crashmail),
>
>    dget -x http://mentors.debian.net/debian/pool/main/c/crashmail/crashmail_0.71-5.dsc
>
>    I'd appreciate it if you would review the package and let me know
> what you think.

- debian/copyright should be updated with your name as packager.
- debian/control lists "unar" instead of "unrar".

Otherwise, comparing the tree to my latest version, the changes are 
fairly minimal, and, as far as I can tell, good. Fix the two issues 
above, and I'll upload it for you.

-- 
\\// Peter - http://www.softwolves.pp.se/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, jame@rocasa.us:
Bug#693229; Package wnpp. (Sat, 26 Jan 2013 01:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Robert J. Clay" <rjclay@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, jame@rocasa.us. (Sat, 26 Jan 2013 01:09:03 GMT) Full text and rfc822 format available.

Message #41 received at 693229@bugs.debian.org (full text, mbox):

From: "Robert J. Clay" <rjclay@gmail.com>
To: Peter Krefting <peter@softwolves.pp.se>
Cc: 693229@bugs.debian.org
Subject: Re: CrashMail Debian ITA
Date: Fri, 25 Jan 2013 20:06:37 -0500
On Fri, Jan 25, 2013 at 4:24 PM, Peter Krefting <peter@softwolves.pp.se> wrote:
> Hi!
>
> Robert J. Clay:
>
>
>>    I've uploaded a package for 0.71-5 to the mentors site
>> (http://mentors.debian.net/package/crashmail),
>>
>>    dget -x
>> http://mentors.debian.net/debian/pool/main/c/crashmail/crashmail_0.71-5.dsc
>>
>>    I'd appreciate it if you would review the package and let me know
>> what you think.
>
>
> - debian/copyright should be updated with your name as packager.

   I'll take care of that.


> - debian/control lists "unar" instead of "unrar".

    Well, yes;  intentionally.  It's handles unarchiving LZH & is
therefore a replacement for LHA, and also handles many other formats
including RAR [2].


> Otherwise, comparing the tree to my latest version, the changes are fairly
> minimal, and, as far as I can tell, good. Fix the two issues above, and I'll
> upload it for you.

   Thanks!




-- 
Robert J. Clay
rjclay@gmail.com

[1] http://dep.debian.net/deps/dep5/
[2] http://packages.debian.org/sid/unar



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, jame@rocasa.us:
Bug#693229; Package wnpp. (Sat, 26 Jan 2013 07:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Robert J. Clay" <rjclay@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, jame@rocasa.us. (Sat, 26 Jan 2013 07:30:05 GMT) Full text and rfc822 format available.

Message #46 received at 693229@bugs.debian.org (full text, mbox):

From: "Robert J. Clay" <rjclay@gmail.com>
To: Peter Krefting <peter@softwolves.pp.se>
Cc: 693229@bugs.debian.org
Subject: Re: CrashMail Debian ITA
Date: Sat, 26 Jan 2013 02:15:18 -0500
Hi Peter!

On Fri, Jan 25, 2013 at 4:24 PM, Peter Krefting <peter@softwolves.pp.se> wrote:
> - debian/copyright should be updated with your name as packager.

     That's been fixed and the package has been re-uploaded to the mentors site:

http://mentors.debian.net/package/crashmail
dget -x http://mentors.debian.net/debian/pool/main/c/crashmail/crashmail_0.71-5.dsc




-- 
Robert J. Clay
rjclay@gmail.com



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, jame@rocasa.us:
Bug#693229; Package wnpp. (Sat, 26 Jan 2013 21:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Krefting <peter@softwolves.pp.se>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, jame@rocasa.us. (Sat, 26 Jan 2013 21:57:09 GMT) Full text and rfc822 format available.

Message #51 received at 693229@bugs.debian.org (full text, mbox):

From: Peter Krefting <peter@softwolves.pp.se>
To: "Robert J. Clay" <rjclay@gmail.com>
Cc: 693229@bugs.debian.org
Subject: Re: CrashMail Debian ITA
Date: Sat, 26 Jan 2013 22:56:24 +0100 (CET)
>> - debian/control lists "unar" instead of "unrar".
>
>    Well, yes;  intentionally.  It's handles unarchiving LZH & is
> therefore a replacement for LHA, and also handles many other formats
> including RAR [2].

Ah, I was unaware of that package, and thought it was a typo...

> http://mentors.debian.net/package/crashmail
> dget -x http://mentors.debian.net/debian/pool/main/c/crashmail/crashmail_0.71-5.dsc

Uploaded now, with a three-day delay, so you can check everything 
is OK.

Can you please push the changes to the Git repository as well?

-- 
\\// Peter - http://www.softwolves.pp.se/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, jame@rocasa.us:
Bug#693229; Package wnpp. (Sun, 27 Jan 2013 15:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Robert J. Clay" <rjclay@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, jame@rocasa.us. (Sun, 27 Jan 2013 15:27:06 GMT) Full text and rfc822 format available.

Message #56 received at 693229@bugs.debian.org (full text, mbox):

From: "Robert J. Clay" <rjclay@gmail.com>
To: Peter Krefting <peter@softwolves.pp.se>
Cc: 693229@bugs.debian.org
Subject: Re: CrashMail Debian ITA
Date: Sun, 27 Jan 2013 10:25:17 -0500
Hi Peter!

On Sat, Jan 26, 2013 at 4:56 PM, Peter Krefting <peter@softwolves.pp.se> wrote:
>
>> http://mentors.debian.net/package/crashmail
>> dget -x
>> http://mentors.debian.net/debian/pool/main/c/crashmail/crashmail_0.71-5.dsc
>
>
> Uploaded now, with a three-day delay, so you can check everything is OK.

   Thanks!


> Can you please push the changes to the Git repository as well?

   Done.




-- 
Robert J. Clay
rjclay@gmail.com



Reply sent to Robert James Clay <jame@rocasa.us>:
You have taken responsibility. (Tue, 29 Jan 2013 22:21:03 GMT) Full text and rfc822 format available.

Notification sent to Peter Krefting <peterk@debian.org>:
Bug acknowledged by developer. (Tue, 29 Jan 2013 22:21:03 GMT) Full text and rfc822 format available.

Message #61 received at 693229-close@bugs.debian.org (full text, mbox):

From: Robert James Clay <jame@rocasa.us>
To: 693229-close@bugs.debian.org
Subject: Bug#693229: fixed in crashmail 0.71-5
Date: Tue, 29 Jan 2013 22:17:29 +0000
Source: crashmail
Source-Version: 0.71-5

We believe that the bug you reported is fixed in the latest version of
crashmail, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693229@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert James Clay <jame@rocasa.us> (supplier of updated crashmail package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 25 Jan 2013 21:04:40 -0500
Source: crashmail
Binary: crashmail
Architecture: source amd64
Version: 0.71-5
Distribution: unstable
Urgency: low
Maintainer: Peter Krefting <peterk@debian.org>
Changed-By: Robert James Clay <jame@rocasa.us>
Description: 
 crashmail  - JAM and *.MSG capable Fidonet tosser
Closes: 693229
Changes: 
 crashmail (0.71-5) unstable; urgency=low
 .
   * New Maintainer. (Closes: #693229)
   * Move installation of doc/AreafixHelp.txt to debian/install.
   * Set 'Packaged for Debian by' to jame@rocasa.us in debian/copyright.
   * Move installation of doc files from the old top level Makefile to the
     dh_installdocs command line by adding them to a debian/crashmail.docs file.
   * Add usage of the CPPFLAGS,CFLAGS,and LDFLAGS variables to necessary src/
     directory Makefile.linux files.
   * Changes to debian/control:
     - Add 'dpkg-dev (>= 1.16.1~)' to Build-Depends.
     - Update Standards-Version to v3.9.4, no changes required.
     - Replace the Suggested non-free lha package with the unar package.
   * Changes to debian/rules:
     - Add build-arch and build-indep targets.
     - Update CPPFLAGS, CFLAGS, and LDFLAGS using dpkg-buildflags.
     - Moved installation of man pages from the old top level Makefile to the
       dh_installman command line.
     - Moved installation of example files from the old top level Makefile to a
       dh_installexamples command line.
     - Moved installation of executables from the old top level Makefile to a
       dh_install command line and a debian/crashmail.install file.
     - Move the make build & clean lines from the old top level Makefile to their
       corresponding debian/rules build and clean targets.
     - Move the bin directory lines from the old top level Makefile.
Checksums-Sha1: 
 8a166bacae63f50fece60700bdb7d2f3c52b01f6 1195 crashmail_0.71-5.dsc
 d470b91a6f529e7caa1ccd8c6ad81112ad79b04b 14709 crashmail_0.71-5.diff.gz
 c6325e860349a6bb6cbe094ac2b8455ecfcbbf96 176420 crashmail_0.71-5_amd64.deb
Checksums-Sha256: 
 0fe5392308e13d5fbe1655b82fc578860e2af0f2eb7eb5965068230b9f28d878 1195 crashmail_0.71-5.dsc
 73cc249fd0cd738a483c4db661fa88ce186f7c360a11adb62a7203e96c07ac87 14709 crashmail_0.71-5.diff.gz
 add1646289b4f3dcff90e2cd092a247b7ac80036ca3ea558186f56e581ed95ef 176420 crashmail_0.71-5_amd64.deb
Files: 
 92b2736f997a09b12dbf855eb2542877 1195 mail extra crashmail_0.71-5.dsc
 925a99808288fcdc9c9988f422a78a64 14709 mail extra crashmail_0.71-5.diff.gz
 f44d99838cf649e72f6d099380bc0f1a 176420 mail extra crashmail_0.71-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAlEETx4ACgkQkryUdmOUJl7kRQCfXZCtjWy6nR/aJ/i1moTCLh72
yfIAoIKzQLOYOtQtiSC9GxtGgE2o5pVM
=6ftT
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Feb 2013 07:26:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:26:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.